/** @component topbar-mobile */
export declare class TopbarMobileComponent {
    /** @option Aria Label for close Button | 'Close Menu' */
    closeMenuAriaLabel: string;
    /** @option Aria Label for open Button | 'Open Menu */
    openMenuAriaLabel: string;
    /** @option Set mobile menu to close on any click | true */
    shouldCloseOnClick: boolean;
    isMobileOpen: boolean;
    handleKeydown(e: KeyboardEvent): void;
    handleClose(): void;
    handleOpen(): void;
}
